diodcat(8)

NAME
diodcat - cat files by attaching directly to diod server

SYNOPSIS
diodcat [OPTIONS] [-s NAME] [-a aname] [file [file...]]

DESCRIPTION
diodcat connects to a diod server, attaches to the mount point aname, and concatenates the contents of the specified files on stdout.

OPTIONS

-a, --aname NAME
    The file system name on the server (default "ctl"). Note that the "ctl" synthetic file system must be explicitly exported.

-s, --server NAME
    The server in IP[:PORT], HOST[:PORT], or /path/to/socket form (default localhost:564).

-m, --msize SIZE
    The maximum request size including 9P headers (default 65536).

-u, --uid UID
    Try to attach to the server as the specified user (default your effective uid).

-t, --timeout SECS
    Force timeout after specified number of seconds (default no timeout).

-p, --privport
    Connect from a socket bound to a port in the range of 512-1023, available to root only. This can be used in conjunction with the privport export option.

SEE ALSO
diod (8)